Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.uibinder.attributeparsers
Class BundleAttributeParser

    java.lang.Object
      com.google.gwt.uibinder.attributeparsers.BundleAttributeParser

All Implemented Interfaces:
  AttributeParser

Deprecated. soon to die, replaced by brace expressions

    @Deprecated
    public class BundleAttributeParser

extends java.lang.Object
implements AttributeParser

Interprets an attribute's contents as a method call on a resource class (one tied to an xmnls prefix via a "with://" url).

Constructor Summary
`BundleAttributeParser(JClassType bundleClass, java.lang.String bundleInstance, boolean isBundleStatic)` Deprecated.

Method Summary
`JClassType` | `bundleClass()` Deprecated.
`java.lang.String` | `bundleInstance()` Deprecated.
`java.lang.String` | `fullBundleClassName()` Deprecated.
`boolean` | `isBundleStatic()` Deprecated.
`java.lang.String` | `parse(java.lang.String attribute)` Deprecated. Parse the given attribute value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BundleAttributeParser

    public BundleAttributeParser(JClassType bundleClass,
                                 java.lang.String bundleInstance,
                                 boolean isBundleStatic)

  Deprecated.

Method Detail

### bundleClass

    public JClassType bundleClass()

  Deprecated.

### bundleInstance

    public java.lang.String bundleInstance()

  Deprecated.

### fullBundleClassName

    public java.lang.String fullBundleClassName()

  Deprecated.

### isBundleStatic

    public boolean isBundleStatic()

  Deprecated.

### parse

    public java.lang.String parse(java.lang.String attribute)

  Deprecated.
  Description copied from interface: `AttributeParser`
  Parse the given attribute value.

  Specified by:
    `parse` in interface `AttributeParser`
  Parameters:
    `attribute` - the attribute value to be parsed
  Returns:
    a valid Java expression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD